My Project: NewtonDeadJoints Class Reference

My Project

Public Member Functions | List of all members
NewtonDeadJoints Class Reference

`#include <NewtonClass.h>`

Inheritance diagram for NewtonDeadJoints:

## Public Member Functions

| NewtonDeadJoints (dgMemoryAllocator *const allocator)
void | DestroyJoints (Newton &world)
Public Member Functions inherited from dgTree< dgConstraint *, void * >
| dgTree (dgMemoryAllocator *const allocator)
virtual | ~dgTree ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgTreeNode * | GetRoot () const
dgTreeNode * | Minimum () const
dgTreeNode * | Maximum () const
dgTreeNode * | Find (void * key) const
dgTreeNode * | FindGreater (void * key) const
dgTreeNode * | FindGreaterEqual (void * key) const
dgTreeNode * | FindLessEqual (void * key) const
dgTreeNode * | GetNodeFromInfo (dgConstraint * &info) const
dgTreeNode * | Insert (const dgConstraint * &element, void * key, bool &elementWasInTree)
dgTreeNode * | Insert (const dgConstraint * &element, void * key)
dgTreeNode * | Insert (dgTreeNode *const node, void * key)
dgTreeNode * | Replace (dgConstraint * &element, void * key)
dgTreeNode * | ReplaceKey (void * oldKey, void * newKey)
dgTreeNode * | ReplaceKey (dgTreeNode *const node, void * key)
void | Remove (void * key)
void | Remove (dgTreeNode *const node)
void | RemoveAll ()
void | Unlink (dgTreeNode *const node)
void | SwapInfo (dgTree &tree)
bool | SanityCheck () const

## Constructor & Destructor Documentation

## § NewtonDeadJoints()

NewtonDeadJoints::NewtonDeadJoints | ( | dgMemoryAllocator *const | allocator | ) |

## Member Function Documentation

## § DestroyJoints()

void NewtonDeadJoints::DestroyJoints | ( | Newton & | world | ) |

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/newton/NewtonClass.h
- dynamics.mod/NewtonDynamics/source/newton/NewtonClass.cpp